Software compatibility

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
Hello, I had an Zire (m150 - PalmOS 4.1) but to replace it I will buy
an Zire 21 (PalmOS 5.1)
My question is: did the old software will work on the new hardware ?

Re: Software compatibility wrote in news:1116154784.427932.89000

Quoted text here. Click to load it

Some will, some wont.  In part, it will depend on how tightly the software
is tied to the screen resolution among other things.  Some software will
precipitate a lock up and require a soft reset. Trial and error :)


Re: Software compatibility

I rarely have problems with old Palm software as such, they tend to run
properly, however the conduits and hotsync tend to stop working since
they changed the File System in Palm OS 5 :(

Re: Software compatibility wrote:
Quoted text here. Click to load it

Hello Jean,

Paul from palmOne here. If you'd like to minimize the risk of software
compatibility issues in your upgrade to the Zire 21, the palmOne
Knowledge Library article "Upgrading from a previous Palm OS handheld"
may be of help. .
Then just choose the "Other" link under the "What new device do you
have?" heading.



- - - - - - - - - - - - -
Paul Novotny
- - - - - - - - - - - - -
Start earning rewards today.
Register for free at /

Re: Software compatibility

Ok thanks for all your answers.

It seem that PalmOS 5 make use of it's powerfull processor to perform
software emulation. I think I will try all the software to see what
errors I might encounter.

Finding updated software could be an good idea, but I do think that the
Zire 21 is the only one with black&white lo-res screen so most newer
application may have compatibility problems.

Site Timeline